Bug 603755 - Crashing gedit in gconf_valid_key
Summary: Crashing gedit in gconf_valid_key
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: GConf2 (Show other bugs)
(Show other bugs)
Version: 14
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-14 13:46 UTC by Zdenek Kabelac
Modified: 2012-08-16 20:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 20:09:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zdenek Kabelac 2010-06-14 13:46:09 UTC
Description of problem:

gedit leaves coredump - which points to  GConf2 error:

(gdb) bt
#0  gconf_valid_key (key=0x0, why_invalid=0x0) at gconf.c:2638
#1  0x00007f5ae8264b88 in ltable_insert (listeners=0x17a4f80, listen_point=0x0, listener_data=0x17a7850, destroy_notify=
    0x7f5ae8271360 <listener_destroy>) at gconf-listeners.c:340
#2  gconf_listeners_add (listeners=0x17a4f80, listen_point=0x0, listener_data=0x17a7850, destroy_notify=0x7f5ae8271360 <listener_destroy>)
    at gconf-listeners.c:157
#3  0x00007f5ada6932cd in gconf_settings_backend_remove_notifier (backend=<value optimized out>, name=<value optimized out>)
    at gconfsettingsbackend.c:237
#4  gconf_settings_backend_unsubscribe (backend=<value optimized out>, name=<value optimized out>) at gconfsettingsbackend.c:872
#5  0x00007f5ae7c8aa78 in g_settings_finalize (object=<value optimized out>) at gsettings.c:549
#6  0x00007f5ae79c7bb4 in IA__g_object_unref (_object=0x7f5ad4004e80) at gobject.c:2497
#7  0x0000000000428f48 in gedit_app_dispose (object=0x1793cc0 [GeditAppX11]) at gedit-app.c:116
#8  0x00007f5ae79c7b2a in IA__g_object_unref (_object=0x1793cc0) at gobject.c:2460
#9  0x0000000000427968 in gedit_main (argc=1, argv=0x7fff2227b188) at gedit.c:206
#10 main (argc=1, argv=0x7fff2227b188) at gedit.c:277
(gdb) set pagination off
(gdb) 
(gdb)  thread apply all bt full

Thread 3 (Thread 28943):
#0  0x00007f5ae653b633 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 3
        _a3 = -1
        _a1 = 140027946340688
        resultvar = <value optimized out>
        __arg3 = 4294967295
        __arg1 = 140027946340688
        _a2 = 3
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x00007f5ae70ec2a9 in g_main_context_poll (context=0x7f5ad400fd50, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2988
        poll_func = 0x7f5ae70f93f0 <IA__g_poll>
#2  g_main_context_iterate (context=0x7f5ad400fd50, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2670
        max_priority = 2147483647
        timeout = -1
        some_ready = <value optimized out>
        nfds = 3
        allocated_nfds = <value optimized out>
        fds = 0x7f5acc001150
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x00007f5ae70eca55 in IA__g_main_loop_run (loop=0x7f5ad400e830) at gmain.c:2883
        self = 0x7f5ad400e640
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x00007f5ae7ca5eb4 in shared_thread_func (data=<value optimized out>) at gdbusprivate.c:247
No locals.
#5  0x00007f5ae7111c24 in g_thread_create_proxy (data=0x7f5ad400e640) at gthread.c:1898
        thread = 0x7f5ad400e640
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00007f5ae67ee951 in start_thread (arg=0x7f5adb096710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f5adb096710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140028198610704, 6937021791187848720, 140028206999984, 140028198611408, 0, 3, -6993819182703489520, -6993935819432702448}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x00007f5ae6544d7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 28956):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
No locals.
#1  0x00007f5ae75b53f2 in g_cond_timed_wait_posix_impl (cond=<value optimized out>, entered_mutex=<value optimized out>, abs_time=<value optimized out>) at gthread-posix.c:242
        result = <value optimized out>
        end_time = {tv_sec = 1276516038, tv_nsec = 540980000}
        timed_out = <value optimized out>
        __PRETTY_FUNCTION__ = "g_cond_timed_wait_posix_impl"
#2  0x00007f5ae70c3401 in g_async_queue_pop_intern_unlocked (queue=0x1796750, try=0, end_time=0x7f5adb896c20) at gasyncqueue.c:371
        retval = <value optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x00007f5ae7113b21 in g_thread_pool_wait_for_new_task (data=<value optimized out>) at gthreadpool.c:270
        end_time = {tv_sec = 1276516038, tv_usec = 540980}
        task = <value optimized out>
#4  g_thread_pool_thread_proxy (data=<value optimized out>) at gthreadpool.c:304
        task = <value optimized out>
        pool = 0x17947e0
#5  0x00007f5ae7111c24 in g_thread_create_proxy (data=0x19f4860) at gthread.c:1898
        thread = 0x19f4860
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00007f5ae67ee951 in start_thread (arg=0x7f5adb897710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f5adb897710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140028207003408, 6937021791187848720, 140733766406160, 140028207004112, 0, 3, -6993818081581249008, -6993935819432702448}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x00007f5ae6544d7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 28941):
#0  gconf_valid_key (key=0x0, why_invalid=0x0) at gconf.c:2638
        s = 0x0
        just_saw_slash = 0
#1  0x00007f5ae8264b88 in ltable_insert (listeners=0x17a4f80, listen_point=0x0, listener_data=0x17a7850, destroy_notify=0x7f5ae8271360 <listener_destroy>) at gconf-listeners.c:340
        _g_boolean_var_ = <value optimized out>
        i = <value optimized out>
        lte = <value optimized out>
        dirnames = <value optimized out>
        cur = <value optimized out>
        found = 0x0
        noroot_where = 0x1 <Address 0x1 out of bounds>
#2  gconf_listeners_add (listeners=0x17a4f80, listen_point=0x0, listener_data=0x17a7850, destroy_notify=0x7f5ae8271360 <listener_destroy>) at gconf-listeners.c:157
        lt = 0x17a4f80
        l = 0x17af110
#3  0x00007f5ada6932cd in gconf_settings_backend_remove_notifier (backend=<value optimized out>, name=<value optimized out>) at gconfsettingsbackend.c:237
        child = 0x7f5acc001920
        l = 0x17a4cb0 = {0x7f5acc001920, 0x7f5acc0018e0}
        notifier = 0x1793460
#4  gconf_settings_backend_unsubscribe (backend=<value optimized out>, name=<value optimized out>) at gconfsettingsbackend.c:872
        gconf = 0x1749130 [GConfSettingsBackend]
        path = 0x17a7800 "/apps/gedit"
#5  0x00007f5ae7c8aa78 in g_settings_finalize (object=<value optimized out>) at gsettings.c:549
        settings = 0x7f5ad4004e80 [GeditSettings]
#6  0x00007f5ae79c7bb4 in IA__g_object_unref (_object=0x7f5ad4004e80) at gobject.c:2497
        object = 0x7f5ad4004e80 [GeditSettings]
        old_ref = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_object_unref"
#7  0x0000000000428f48 in gedit_app_dispose (object=0x1793cc0 [GeditAppX11]) at gedit-app.c:116
        app = 0x1793cc0 [GeditAppX11]
#8  0x00007f5ae79c7b2a in IA__g_object_unref (_object=0x1793cc0) at gobject.c:2460
        object = 0x1793cc0 [GeditAppX11]
        old_ref = 1
        __PRETTY_FUNCTION__ = "IA__g_object_unref"
#9  0x0000000000427968 in gedit_main (argc=1, argv=0x7fff2227b188) at gedit.c:206
        engine = 0x1786640
        app = 0x1793cc0 [GeditAppX11]
        restored = <value optimized out>
        dir = <value optimized out>
        icon_dir = <value optimized out>
#10 main (argc=1, argv=0x7fff2227b188) at gedit.c:277
        dir = <value optimized out>
        command_line = 0x16f4410 [GeditCommandLine]
        ret = <value optimized out>
        dbus = 0x1782b00 [GeditDBus]
        dbusret = <value optimized out>
        service = <value optimized out>
        __PRETTY_FUNCTION__ = "main"
(gdb) 


Version-Release number of selected component (if applicable):
GConf2-2.31.3-2.fc14.x86_64
gedit-2.31.3-1.fc14.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bug Zapper 2010-07-30 12:07:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2012-08-16 20:10:01 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.